Security Enhanced Linux Reference Policy

# Layer: services

## Module: lldpad

Tunables Interfaces

### Description:

Intel LLDP Agent.

### Tunables:

lldpad_configure_fw

##### Default value

false

##### Description

Permit lldp to automatically disable FW-LLDP on Intel i40e NICs. Related lldp messages: i40e driver detected for ens10f1, disabling LLDP in firmware cannot open /sys/kernel/debug/i40e/0000:0f:00.1/command to disable LLDP in firmware for ens10f1: Permission Denied Warning: This allow the lldp daemon to write to debugfs.

Return

### Interfaces:

lldpad_admin( domain , role )

##### Summary

All of the rules required to administrate an lldpad environment.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | Role allowed access.

lldpad_dgram_send( domain )

##### Summary

Send to lldpad with a unix dgram socket.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return